Skip to main content

Figure Markets High Frequency Trading Exchange Public API (1.0)

Download OpenAPI specification:Download

Endpoints are rate limited to 50 requests per minute, by source IP

Trades

Get trades by market

path Parameters
symbol
required
string

Market id

query Parameters
size
integer <int32> [ 1 .. 200 ]
Default: 25
end_date
string <date-time>

Filter for trades created on or before the date. There will be no end cap if omitted.

start_date
string <date-time>

Filter for trades created on or after the date. There will be no start cap if omitted.

Responses

Response samples

Content type
application/json
{
  • "denom": "string",
  • "symbol": "string",
  • "marketId": "string",
  • "matches": [
    ]
}

Markets

Get all markets

query Parameters
page
integer <int32> >= 1
size
integer <int32> [ 1 .. 50 ]
location
string (LocationFilter)
Enum: "ALL" "US" "CAYMAN" "IRELAND"
market_type
Array of strings (com.figuremarkets.exchange.proto.hft.Markets.Market.MarketType)
Default: "ATS&market_type=CRYPTO&market_type=FUND&market_type=VIRTUAL_YLDS&market_type=CONNECT"
Items Enum: "UNKNOWN_MARKET_TYPE" "CRYPTO" "PERPETUAL" "FUND" "ATS" "VIRTUAL" "VIRTUAL_YLDS" "CONNECT"
base_asset
string
quote_asset
string
candle_type
string (CandleType)
Enum: "MID_MARKET" "TRADE"
include_hidden
boolean

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get a market

path Parameters
symbol
required
string

Market id

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "symbol": "string",
  • "displayName": "string",
  • "denom": "string",
  • "quoteDenom": "string",
  • "bestBid": "string",
  • "bestAsk": "string",
  • "midMarketPrice": "string",
  • "priceChange24h": "string",
  • "percentageChange24h": 0,
  • "lastTradedPrice": "string",
  • "volume24h": "string",
  • "high24h": "string",
  • "low24h": "string",
  • "indexPrice": "string",
  • "tradeCount24h": 0,
  • "denomExponent": 0,
  • "quoteExponent": 0,
  • "pricePrecision": 0,
  • "quantityPrecision": 0,
  • "sizeIncrement": "string",
  • "priceIncrement": "string",
  • "minTradeQuantity": "string",
  • "askFee": {
    },
  • "bidFee": {
    },
  • "makerFee": {
    },
  • "takerFee": {
    },
  • "marketLocation": "UNKNOWN_MARKET_LOCATION",
  • "marketLocations": [
    ],
  • "marketType": "UNKNOWN_MARKET_TYPE",
  • "ep3InstrumentId": "string",
  • "navPrice": "string",
  • "volumeWeightedAveragePrice": "string",
  • "exchangePrice": "string",
  • "proTradeAvailable": true,
  • "baseVolume24h": "string",
  • "contractAddressUrl": [
    ],
  • "contractAddress": [
    ],
  • "unifiedCryptoassetId": "string",
  • "requiredAttributes": [
    ],
  • "hidden": true,
  • "minOrderQty": 0,
  • "marketOrderProtectionBasisPoints": 0,
  • "orderLimits": {
    },
  • "inRegularTradingHours": true,
  • "usesNasdaqSchedule": true,
  • "holidaySchedule": [
    ],
  • "daySchedule": [
    ],
  • "status": "UNKNOWN_MARKET_STATUS"
}

getMarketOrderBook

path Parameters
symbol
required
string
query Parameters
depth
string (Number of order book entries to return in each direction) >= 0

If set to 0 or not specified, all entries will be returned. Does not apply to level 1

level
string (Order book aggregation level)
Default: "2"
Enum: "1" "2" "3"

The level of aggregation for the order book. 1 = best bid/ask, 2 = aggregated bids/asks, 3 = complete order book without aggregation

Responses

Response samples

Content type
application/json
{
  • "timestamp": "2019-08-24T14:15:22Z",
  • "asks": [
    ],
  • "bids": [
    ]
}

Get market candles. Periods with no activity will not have candles.

path Parameters
symbol
required
string

Market id

query Parameters
end_date
string <date-time>
start_date
string <date-time>
interval_in_minutes
integer <int64>
candle_type
string (CandleType)
Enum: "MID_MARKET" "TRADE"

Responses

Response samples

Content type
application/json
{
  • "denom": "string",
  • "symbol": "string",
  • "marketDisplayName": "string",
  • "marketId": "string",
  • "matchHistoryData": [
    ]
}

Assets

Get all assets

query Parameters
page
integer <int32> >= 1
size
integer <int32> [ 1 .. 100 ]
include_lending_facility_assets
boolean
Default: false

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get asset by name

path Parameters
name
required
string

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "displayName": "string",
  • "subtitle": "string",
  • "description": "string",
  • "websiteUrl": "string",
  • "whitepaperUrl": "string",
  • "type": "UNKNOWN_ASSET_TYPE",
  • "fixedPrice": true,
  • "exponent": 0,
  • "provenanceMarkerName": "string",
  • "provenanceDisplayDenom": "string",
  • "provenanceRequiredAttributes": [
    ],
  • "provider": "MPC_ASSET",
  • "iconUrl": "string",
  • "displayExponent": 0,
  • "network": "string",
  • "blockchainUuids": [
    ],
  • "depositConfig": {
    },
  • "withdrawConfig": {
    },
  • "sortOrder": 0,
  • "displayCategory": "UNKNOWN_CATEGORY",
  • "haircutPercentage": 1,
  • "contractAddressUrls": [
    ],
  • "contractAddresses": [
    ],
  • "unifiedCryptoassetId": "string",
  • "lendingFacilitiesDetails": {
    }
}

Get asset price at a given time

path Parameters
name
required
string
query Parameters
quoteAsset
string
Default: "USD"
marketLocation
string (com.figuremarkets.exchange.proto.hft.Markets.Market.MarketLocation)
Enum: "UNKNOWN_MARKET_LOCATION" "US" "CAYMAN" "IRELAND"
time
required
string <date-time> (Time to price asset)
Example: time=2025-09-11T13:30:00.000Z

Responses

Response samples

Content type
application/json
{
  • "asset": "string",
  • "price": 0
}

Get all blockchains

query Parameters
page
integer <int32> >= 1
size
integer <int32> [ 1 .. 100 ]

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "pagination": {
    }
}

Get blockchain by uuid

path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "string",
  • "explorerUrl": "string",
  • "explorerTxUrl": "string",
  • "networkIconUrl": "string",
  • "depositConfig": {
    },
  • "withdrawConfig": {
    }
}